// DiagnosticInfoDialog.cpp : implementation file
//

#include "stdafx.h"
#include "DiagramEng.h"
#include "DiagnosticInfoDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDiagnosticInfoDialog dialog


CDiagnosticInfoDialog::CDiagnosticInfoDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CDiagnosticInfoDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDiagnosticInfoDialog)
	m_strPageFaultCount = _T("");
	m_strPeakWorkingSetSize = _T("");
	m_strWorkingSetSize = _T("");
	m_strQuotaPeakPagedPoolUsage = _T("");
	m_strQuotaPagedPoolUsage = _T("");
	m_strQuotaPeakNonPagedPoolUsage = _T("");
	m_strQuotaNonPagedPoolUsage = _T("");
	m_strPagefileUsage = _T("");
	m_strPeakPagefileUsage = _T("");
	m_strPhysicalMemoryUsedProcess = _T("");
	m_strMemoryLoad = _T("");
	m_strTotalPhysicalMemory = _T("");
	m_strAvailPhysicalMemory = _T("");
	m_strTotalPagefileMemory = _T("");
	m_strAvailPagefileMemory = _T("");
	m_strTotalVirtualMemoryUser = _T("");
	m_strAvailVirtualMemoryUser = _T("");
	m_strTotalVirtualMemory = _T("");
	m_strVirtualMemoryUsed = _T("");
	m_strPhysicalMemoryUsed = _T("");
	//}}AFX_DATA_INIT
}


void CDiagnosticInfoDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDiagnosticInfoDialog)
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_PFC, m_strPageFaultCount);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_PWSS, m_strPeakWorkingSetSize);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_WSS, m_strWorkingSetSize);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_QPPPU, m_strQuotaPeakPagedPoolUsage);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_QPPU, m_strQuotaPagedPoolUsage);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_QPNPPU, m_strQuotaPeakNonPagedPoolUsage);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_QNPPU, m_strQuotaNonPagedPoolUsage);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_PFU, m_strPagefileUsage);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_PPFU, m_strPeakPagefileUsage);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_PMUP, m_strPhysicalMemoryUsedProcess);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_ML, m_strMemoryLoad);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_TPM, m_strTotalPhysicalMemory);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_APM, m_strAvailPhysicalMemory);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_TPFM, m_strTotalPagefileMemory);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_APFM, m_strAvailPagefileMemory);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_TVMU, m_strTotalVirtualMemoryUser);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_AVMU, m_strAvailVirtualMemoryUser);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_TVM, m_strTotalVirtualMemory);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_VMU, m_strVirtualMemoryUsed);
	DDX_Text(pDX, ID_DIAGNOSTIC_INFO_DLG_TXT_PMU, m_strPhysicalMemoryUsed);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDiagnosticInfoDialog, CDialog)
	//{{AFX_MSG_MAP(CDiagnosticInfoDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDiagnosticInfoDialog message handlers

void CDiagnosticInfoDialog::OnOK() 
{
	// TODO: Add extra validation here

	// DiagramEng (start)
	// No action for now.
	// DiagramEng (end)

	CDialog::OnOK();
}
